## Name

isnan — determine whether the parameter is a number

## Declaration

`genBType isnan(` | genType x`)`;

`genBType isnan(` | genDType x`)`;

## Parameters

`x`

  Specifies the value to test for NaN.

## Description

For each element element i of the result, `isinf` returns `true` if `x`[i] is posititve or negative floating point NaN (Not a Number) and false otherwise.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
isnan (genType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
isnan (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

isinf

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.